function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
    game_state.active_objects = {}

	MiniGameComplited = false;

	level:AddTaskSafe(CreateTask('SPOON', 'SPOONS',
								 'spoon',
								 'spoon_2'));
								 
	AddRandomTasks(17,
				CreateTask('ANCHOR', '', 'anchor'),
				CreateTask('AXE', '', 'axe'),
				CreateTask('BELL', '', 'bell'),
				CreateTask('CLOTHESPIN', '', 'clothes_pin'),
				CreateTask('GOBLET', '', 'goblet'),
				CreateTask('KEY', '', 'key'),
				CreateTask('LION', '', 'lion'),
				CreateTask('MASK', '', 'mask'),
				CreateTask('MICROSCOPE', '', 'microscope'),
				CreateTask('PLIERS', '', 'pliers'),
				CreateTask('SHIP', '', 'ship'),
				CreateTask('SLINGSHOT', '', 'slingshot'),
				CreateTask('STARFISH', '', 'starfish'),
				CreateTask('TRUNK', '', 'trunk'),
				CreateTask('BUTTERFLY', '', 'butterfly'),
				CreateTask('PIN', '', 'pin'),
				CreateTask('ROSE', '', 'rose'),
				CreateTask('RULER', '', 'ruler')
				);	


	play_field:GetObject('sprait_fotki'):SetVisible(false);
	play_field:GetObject('frame_OnTable'):SetVisible(false);
	-------------------------------------------------------------------------------------------------------------------
	local object = play_field:GetObject('area_2');
	inventory_photo = CreateInventory(object:GetX(),
                                               object:GetY(),
                                               object:GetZ() + 80,
                                               'area_2',
                                               nil,
                                               CreateItem('frame_scale', 'frame1'),
                                               nil,
                                               play_field:GetTimer(),
											   "INVENTORY_TASK_16_1");
                  
	inventory_photo.OnShown = function()
		RegisterZoomZone(zoom_lamp, 'lamp_area')
	end
	
	inventory_photo.state_changer = 'OnPhotoComplete'
				  
	inventory_photo.OnComplete = function()
		play_field:GetObject('area_2'):SetVisible(false);
		play_field:GetObject('area'):SetVisible(true);
		play_field:GetObject('frame_OnTable'):SetVisible(true);
		inventory_photo_2.Unlock();
	end
		
	local frame_tool = CreateTool('frame', 'frame1')
	
	-------------------------------------------------------------------------------------------------------------------
	play_field:GetObject('area'):SetVisible(false);
		
	local object = play_field:GetObject('area');
	inventory_photo_2 = CreateInventory(object:GetX(),
                                               object:GetY(),
                                               object:GetZ() + 80,
                                               'area',
                                               CreateItem('2_photo_piece', '1photo_piece'),
                                               nil,
                                               CreateItem('2_photo_piece_2', '2photo_piece'),
                                               play_field:GetTimer(),
											   "INVENTORY_TASK_16_2");
                  
	--inventory_photo_2.state_changer = 'OnPhoto2Complete'
				  
	inventory_photo_2.OnCompleteImmediate = function()
	    GetProfileManager():GetCurrentProfile():AddStateChanger('OnChain2NotShown')
	end
	
    inventory_photo_2.OnComplete = function()
        GetProfileManager():GetCurrentProfile():AddStateChanger('DoNotShowChain2')
		game_state.chain2.Start();
	end
	--inventory_photo_2.Unlock();
	
	CreateTool('1photo_piece', '1photo_piece')
	CreateTool('2photo_piece', '2photo_piece')

	-------------------------------------------------------------------------------------------------------------------
	
	 zoom_lamp = CreateZoomZone('zoom_dashboard_close',
                                    '',
                                    'lamp_bak',
                                    'radial_glow_1',
                                    'radial_glow_2',
                                    'radial_glow_3',
                                    'radial_glow_4',
                                    'sprait_lampochki_1',
                                    'sprait_lampochki_2',
                                    'sprait_lampochki_3',
                                    'sprait_lampochki_4',
									'frame')
	zoom_lamp.SetOffsetZ(400);
	
	play_field:IgnoreOnTestPoint('radial_glow_1')
	play_field:IgnoreOnTestPoint('radial_glow_2')
	play_field:IgnoreOnTestPoint('radial_glow_3')
	play_field:IgnoreOnTestPoint('radial_glow_4')

	zoom_lamp.OnShownImmediate = function()
		for i =1,4 do
			play_field:GetObject('radial_glow_'..i):Show()
			setFibrillationEffector(play_field:GetObject('radial_glow_'..i), 0.0);
		end
	end	
	
	zoom_lamp.OnHiddenImmediate = function()
		for i =1,4 do
			play_field:GetObject('radial_glow_'..i):Hide()
		end
	end
	
	frame_tool.OnSuccess = function()
	    play_field:GetObject('frame'):SetOpacity(0);
	    zoom_lamp.RemoveObject('frame')
		CheckShowCaseItems()
	end
	
	frame_tool.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('lamp_area'):GetX(),
                                    play_field:GetObject('lamp_area'):GetY(),
                                    300)
	end
	
	frame_tool.OnSet = function()
	    zoom_lamp.SetVisible(false)
		game_state.locker:Release()		
	end
	-------------------------------------------------------------------------------------------------------------------
	
	AddSheriffEyeLogic()
	
	InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen);
	
	InitChain3(screen);
	game_state.chain3.final = true
	
	items_found = false;
	game_state.meta_object = 'cigar16'
	
	play_field:IgnoreOnTestPoint('okno')
	
	game_state.OnStartingComicsComplete = function()
		inventory_photo.Unlock();
	end
	
	game_state.OnPhotoComplete = function()
		if play_field:HasObject('area_2') then
			play_field:GetObject('area_2'):SetVisible(false);
		end
		if play_field:HasObject('area') then
			play_field:GetObject('area'):SetVisible(true);
		end
		if play_field:HasObject('frame_OnTable') then
			play_field:GetObject('frame_OnTable'):SetVisible(true);
		end
		
		inventory_photo_2.Unlock();
	end
	
	game_state.OnPhoto2Complete = function()
		MiniGameComplited = true;
		if play_field:HasObject('frame_OnTable') then
			play_field:GetObject('frame_OnTable'):SetVisible(false);
		end
		if play_field:HasObject('sprait_fotki') then
			play_field:GetObject('sprait_fotki'):SetVisible(true);
		end
		
		if(not play_field:GetLevelScreen():HasTaskObjects()) then
			game_state.chain3.Start();
		end
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	     load_screen('data/Scenes/Minigames/17_photo_puzzle.lua');
	end	
	
	game_state.OnChain2NotShown = function()
	    if GetProfileManager():GetCurrentProfile():CallsFunction('DoNotShowChain2') then
	        return
	    end
	    game_state.chain2.Start()
	end
	
	game_state.DoNotShowChain2 = function()
	end
end

function OnScreenShown()
	game_state.chain1.Start()
end

function CheckShowCaseItems()
	if not zoom_lamp.HasObject('frame')  then
	   UnregisterZoomZone(zoom_lamp)
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,                 
                                 'Sheriff',
								 'eyes')

    comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_photo.Unlock();
	end
	
    game_state.chain1 = CreateChain('pixel',
                                    screen,
                                    comics1, GetString("COMICS_16_1"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')
    comics1.OnHidden = function()
        game_state.locker:Release()
        GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
        load_screen('data/Scenes/Minigames/17_photo_puzzle.lua');  
     end
    
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_16_2"))
end


function InitChain3(screen)
    local comics1 = CreateComics(screen,                 
                                 'Assistant')
	local comics2 = CreateComics(screen,                 
                                 'Sheriff',
								 'eyes')
	local comics3 = CreateComics(screen,                 
								 'Assistant')
	local comics4 = CreateComics(screen,                 
                                 'Sheriff',
								 'eyes')
	local comics5 = CreateComics(screen,                 
                                 'Assistant')
	local comics6 = CreateComics(screen,                 
                                 'Sheriff',
								 'eyes')
    comics6.OnHidden = function()
        OnWin();
	end
	
    game_state.chain3 = CreateChain('pixel3',
                                    screen,
                                    comics1, GetString("COMICS_16_4"),
                                    comics2, GetString("COMICS_16_5"),
                                    comics3, GetString("COMICS_16_6"),
                                    comics4, GetString("COMICS_16_7"),
                                    comics5, GetString("COMICS_16_8"),
                                    comics6, GetString("COMICS_16_9"))
end


function OnSceneFree(screen)
    FreeData(screen)
end

function OnUpdate(dt)
end

function OnExit()
end

function OnNotebookClosed()
    if  MiniGameComplited == true then
        game_state.chain3.Start();
    end
    items_found = true
end

function OnNotebookOpened()
end


function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnMinigameCompleted()
	MiniGameComplited = true;
	play_field:GetObject('frame_OnTable'):SetVisible(false);
	play_field:GetObject('sprait_fotki'):SetVisible(true);
	GetProfileManager():GetCurrentProfile():AddStateChanger('OnPhoto2Complete')
	if IsNotebookClosed() and ArePanelTasksComplete() then
        game_state.chain3.Start()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/bak.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bak',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/anchor.png',0,0,52,62,1,0)
	anim:SetHotSpot(26,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,591,203,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/axe.png',0,0,57,107,1,0)
	anim:SetHotSpot(28,53)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('axe',anim,429,551,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/bell.png',0,0,42,80,1,0)
	anim:SetHotSpot(21,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,1006,716,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/clothes_pin.png',0,0,19,37,1,0)
	anim:SetHotSpot(9,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothes_pin',anim,990,61,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/goblet.png',0,0,18,45,1,0)
	anim:SetHotSpot(9,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('goblet',anim,536,386,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/key.png',0,0,52,21,1,0)
	anim:SetHotSpot(26,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,346,645,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/lion.png',0,0,33,36,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lion',anim,713,189,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/mask.png',0,0,49,43,1,0)
	anim:SetHotSpot(24,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,928,244,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/microscope.png',0,0,44,76,1,0)
	anim:SetHotSpot(22,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('microscope',anim,871,425,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece.png',0,0,72,29,1,0)
	anim:SetHotSpot(36,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('1photo_piece',anim,979,574,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece_2.png',0,0,73,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2photo_piece',anim,864,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/pliers.png',0,0,64,43,1,0)
	anim:SetHotSpot(32,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,924,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/ship.png',0,0,96,83,1,0)
	anim:SetHotSpot(48,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,480,379,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/slingshot.png',0,0,50,33,1,0)
	anim:SetHotSpot(25,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('slingshot',anim,1002,525,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/spoon.png',0,0,24,78,1,0)
	anim:SetHotSpot(12,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon',anim,584,345,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/spoon_2.png',0,0,40,63,1,0)
	anim:SetHotSpot(20,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon_2',anim,552,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/starfish.png',0,0,36,31,1,0)
	anim:SetHotSpot(18,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish',anim,842,261,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/trunk.png',0,0,90,54,1,0)
	anim:SetHotSpot(45,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('trunk',anim,872,600,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_chemodana.png',0,0,136,89,1,0)
	anim:SetHotSpot(68,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_chemodana',anim,875,587,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki.png',0,0,186,101,1,0)
	anim:SetHotSpot(93,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki',anim,446,707,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki_2.png',0,0,97,76,1,0)
	anim:SetHotSpot(48,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki_2',anim,506,740,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_fotki_3.png',0,0,121,52,1,0)
	anim:SetHotSpot(60,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_fotki_3',anim,365,666,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_koroblya.png',0,0,60,52,1,0)
	anim:SetHotSpot(30,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_koroblya',anim,447,408,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_topora.png',0,0,73,156,1,0)
	anim:SetHotSpot(36,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_topora',anim,409,589,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/sprait_yakorya.png',0,0,39,87,1,0)
	anim:SetHotSpot(19,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_yakorya',anim,608,206,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece.png',0,0,72,29,1,0)
	anim:SetHotSpot(36,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_photo_piece',anim,979,574,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/photo_piece_2.png',0,0,73,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_photo_piece_2',anim,864,731,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area',anim,449,704,102,0,20,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_2',anim,447,709,102,0,20,10)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel5',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel6',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel7',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel8',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('lamp_area',anim,627,117,100,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/lamp_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lamp_bak',anim,512,384,160,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/frame.png',0,0,179,103,1,0)
	anim:SetHotSpot(89,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frame_OnTable',anim,451,710,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/frame.png',0,0,179,103,1,0)
	anim:SetHotSpot(89,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frame_scale',anim,506,286,160,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/frame.png',0,0,179,103,1,0)
	anim:SetHotSpot(89,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('frame1',anim,625,122,100,0,0.4,0.4)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_1',anim,401,368,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_2',anim,628,492,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_3',anim,425,511,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radial_glow_4',anim,598,376,181,0,3,3)
	local anim = CreateAnimation('data/Texture/Comics/Assistant.png',0,0,499,654,1,0)
	anim:SetHotSpot(249,327)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Assistant',anim,422,442,40,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_ramki.png',0,0,420,296,1,0)
	anim:SetHotSpot(210,148)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('frame',anim,573,405,179,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_1.png',0,0,107,125,1,0)
	anim:SetHotSpot(53,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_1',anim,412,364,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_2.png',0,0,103,172,1,0)
	anim:SetHotSpot(51,86)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_2',anim,597,331,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_3.png',0,0,85,102,1,0)
	anim:SetHotSpot(42,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_3',anim,434,525,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Zoom/sprait_lampochki_4.png',0,0,127,106,1,0)
	anim:SetHotSpot(63,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_lampochki_4',anim,645,506,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/butterfly.png',0,0,53,92,1,0)
	anim:SetHotSpot(26,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,766,585,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/pin.png',0,0,19,48,1,0)
	anim:SetHotSpot(9,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pin',anim,761,686,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/rose.png',0,0,105,29,1,0)
	anim:SetHotSpot(52,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rose',anim,982,460,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Items/ruler.png',0,0,43,145,1,0)
	anim:SetHotSpot(21,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ruler',anim,384,548,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/cigar16.png',0,0,102,132,1,0)
	anim:SetHotSpot(51,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar16',anim,337,714,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Animations/okno.dds',0,0,411,190,25,10)
	anim:SetHotSpot(206,95)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('okno',anim,820,375,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/vesy_na_bak.png',0,0,61,76,1,0)
	anim:SetHotSpot(30,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vesy_na_bak',anim,649,403,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/16_ room_helper_7/Layers/butylka_na_bak.png',0,0,38,72,1,0)
	anim:SetHotSpot(19,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butylka_na_bak',anim,728,415,105,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
